BOOT(8) | System Manager's Manual (sparc64) | BOOT(8)

# NAME

`boot`, `ofwboot` —
system bootstrapping procedures

# SYNOPSIS

`boot` | [`-adqsv`] [-- ⟨boot string⟩]

# DESCRIPTION

Sun UltraSPARC systems support booting from locally attached storage media (e.g. hard disk, CD-ROM), and booting over Ethernet networks using BOOTP.

## Power fail and crash recovery

Normally, the system will reboot itself at power-up or after crashes. An automatic consistency check of the file systems will be performed as described in fsck(8), and unless this fails, the system will resume multi-user operations.

## Cold starts

The Sun Open Firmware performs a Power On Self Test (POST), and then will boot an operating system according to configuration in Open Firmware environment variables.

## Boot program options

`-a`
  Prompt for the root file system device, the system crash dump device, and the path to init(8).
`-d`
  Bring the system up in debug mode. Here it waits for a kernel debugger connect; see gdb(1).
`-q`
  Boot the system in quiet mode.
`-s`
  Bring the system up in single-user mode.
`-v`
  Boot the system in verbose mode.

Any extra flags or arguments, or the ⟨boot string⟩ after the -- separator are passed to the boot PROM. Other flags are currently ignored.

At any time you can halt the running system and get back to the Open Firmware. If the console is the Sun framebuffer and keyboard, press the ‘STOP’ and ‘A’ keys at the same time on the keyboard. On older models of Sun keyboards, the ‘STOP’ key is labeled ‘L1’.

If the console is a serial port the same is achieved by sending a ‘BREAK’.

If you do this accidentally, you can continue whatever was in progress with the `go` command.

# BOOT DEVICES

Since machines vary greatly in the way their devices are connected, there are aliases defined by the firmware. You can either use the fully qualified Open Firmware path of a device node, or the alias.

The secondary boot loader, `ofwboot`, takes `boot` commands virtually the same as Open Firmware. Thus, the following examples apply equally to `ofwboot` as well as Open Firmware.

A typical list of usable boot devices (extracted from the output of the Open Firmware command `devalias`) is:

    net                      /sbus/SUNW,hme@e,8c00000
    disk                     /sbus/SUNW,fas@e,8800000/sd@0,0
    cdrom                    /sbus/SUNW,fas@e,8800000/sd@6,0:f
    disk6                    /sbus/SUNW,fas@e,8800000/sd@6,0
    disk5                    /sbus/SUNW,fas@e,8800000/sd@5,0
    disk4                    /sbus/SUNW,fas@e,8800000/sd@4,0
    disk3                    /sbus/SUNW,fas@e,8800000/sd@3,0
    disk2                    /sbus/SUNW,fas@e,8800000/sd@2,0
    disk1                    /sbus/SUNW,fas@e,8800000/sd@1,0
    disk0                    /sbus/SUNW,fas@e,8800000/sd@0,0

If a device specification includes a partition letter (for example cdrom in above list), that partition is used by default, otherwise the first (a) partition is used. If booting from the net device, there is no partition involved.

The boot device is an optional first part of the boot string, if no device is specified the default device is used (see below).

# FIRMWARE ENVIRONMENT VARIABLES

All Open Firmware environment variables can be printed with the `printenv` command and changed with the `setenv` command. The boot process relevant variables and their suggested value for booting NetBSD are:

    boot-command          boot
    auto-boot?            true
    boot-file
    boot-device           disk
    diag-switch?          false

Of course you may select any other boot device, if you do not want to boot from the device aliased to disk, see the discussion on devices above.

# FILES

/netbsd
  system code
/ofwboot
  system bootstrap
/usr/mdec/ofwboot.net
  alternate bootstrap when booting from the network, see diskless(8) for details.

# EXAMPLES

Boot from CD-ROM:

    boot cdrom

Note that some multi-architecture CDs are not able to use the default sparc64 partition for CD-ROMs (f), so they may require an explicit partition letter, for example

    boot cdrom:c

When using external SCSI CD-ROM drives it is important to know two things: the Sun firmware expects the SCSI ID to be six, and the drive must support 512-byte block reads, in addition to the standard 2048-byte reads.

Use

    boot net -sd

to boot single user from network and break into the kernel debugger as soon as possible.

Use

    boot net tftp:netbsd -a

to boot a kernel named netbsd obtained via tftp and have it ask for root file system, swap partition and init location once it is up.

During installation from a different operating system

    boot disk:b

is used to boot a “miniroot” file system from the swap partition.

# SEE ALSO

disklabel(8), diskless(8), fsck(8), halt(8), init(8), installboot(8), rc(8), shutdown(8), sparc/boot(8), syslogd(8)

# STANDARDS

Sun developed its firmware and promoted it to become IEEE Std 1275-1994 (“Open Firmware”).

IEEE 1275 Open Firmware

# BUGS

NetBSD provides no way to boot UltraSPARC systems from floppy disks. This is unlikely to change, due to very low demand for this feature.

The OBP on Ultra 1 and Ultra 2 machines can only boot from the first 4Gb of the disk.

November 9, 2008 | NetBSD 10.0